<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/formulas.php');


$link = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $link) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
if (! mysqli_set_charset($link, "utf8" )) {
	echo "error";
	return 1;
}

$result = mysqli_query($link, "SELECT * FROM inventory_equipments ORDER BY name");


/*
 * Create beerxml output
 */
$xw = xmlwriter_open_memory();
xmlwriter_set_indent($xw, 1);
$res = xmlwriter_set_indent_string($xw, ' ');

xmlwriter_start_document($xw, '1.0', 'UTF-8');


xmlwriter_start_element($xw, 'EQUIPMENTS');
while ($row = mysqli_fetch_array($result)) {

	xmlwriter_start_element($xw, 'EQUIPMENT');

	xmlwriter_start_element($xw, 'VERSION');
	xmlwriter_text($xw, '1');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NAME');
	xmlwriter_text($xw, $row['name']);
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NOTES');
        xmlwriter_text($xw, $row['notes']);
        xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'BOIL_SIZE');
        xmlwriter_text($xw, sprintf("%.4f", floatval($row['boil_size'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'BATCH_SIZE');
        xmlwriter_text($xw, sprintf("%.4f", floatval($row['batch_size'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TUN_VOLUME');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['tun_volume'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TUN_WEIGHT');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['tun_weight'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TUN_SPECIFIC_HEAT');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['tun_specific_heat'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TUN_HEIGHT');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['tun_height'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TRUB_CHILLER_LOSS');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['trub_chiller_loss'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'EVAP_RATE');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['evap_rate'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'BOIL_TIME');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['boil_time'])));
        xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'CALC_BOIL_VOLUME');
        ($row['calc_boil_volume'] > 0) ? xmlwriter_text($xw, 'TRUE') : xmlwriter_text($xw, 'FALSE');
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'TOP_UP_KETTLE');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['top_up_kettle'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'HOP_UTILIZATION');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['hop_utilization'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'LAUTER_VOLUME');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['lauter_volume'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'LAUTER_HEIGHT');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['lauter_height'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'LAUTER_DEADSPACE');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['lauter_deadspace'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'KETTLE_VOLUME');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['kettle_volume'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'KETTLE_HEIGHT');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['kettle_height'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'MASH_VOLUME');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['mash_volume'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'EFFICIENCY');
        xmlwriter_text($xw, sprintf("%.5f", floatval($row['efficiency'])));
        xmlwriter_end_element($xw);

	xmlwriter_end_element($xw);	// EQUIPMENT
}
xmlwriter_end_element($xw);	// EQUIPMENTS

$beerxml = xmlwriter_output_memory($xw);

Header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="equipments.xml"');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Pragma: no-cache');
header('Content-Length: '.strlen($beerxml));
exit($beerxml);
